      MODULE usr
!
!       Declare the user-defined namelist variables (usrnlst.inc) in this module.
!       Also Include user-defined variables in this module.  To access the
!       variables from a subroutine add the statement "Use usr".  If allocatable
!       arrays are defined in this module allocate them in usr0.  To turn on the
!       user defined subroutines (usr0, usr1, and usr2) set call_usr to true in
!       mfix.dat.

       USE param, only: DIMENSION_I, DIMENSION_J, DIMENSION_K

       DOUBLE PRECISION, DIMENSION(:), ALLOCATABLE ::XG_C, YG_C,ZG_C
      

      END MODULE usr
